Skip to main content
`Ctrl`+`K`

# scipy.special.kei

scipy.special.kei(x, out=None) = <ufunc 'kei'>

  Kelvin function kei.

  Defined as

  \[\mathrm{kei}(x) = \Im[K_0(x e^{\pi i / 4})]\]

  where \(K_0\) is the modified Bessel function of the second kind (see `kv`). See [dlmf] for more details.

  Parameters:
    x array_like

      Real argument.

    out ndarray, optional

      Optional output array for the function results.

  Returns:
    scalar or ndarray

      Values of the Kelvin function.

  See also

  `ker`

    the corresponding real part

  `keip`

    the derivative of kei

  `kv`

    modified Bessel function of the second kind

  References

  [dlmf]

  NIST, Digital Library of Mathematical Functions, https://dlmf.nist.gov/10.61

  Examples

  It can be expressed using the modified Bessel function of the second kind.

      >>> import numpy as np
      >>> import scipy.special as sc
      >>> x = np.array([1.0, 2.0, 3.0, 4.0])
      >>> sc.kv(0, x * np.exp(np.pi * 1j / 4)).imag
      array([-0.49499464, -0.20240007, -0.05112188,  0.0021984 ])
      >>> sc.kei(x)
      array([-0.49499464, -0.20240007, -0.05112188,  0.0021984 ])